GetAgentGoal
Note
AWS Well-Architected Agent is in preview release and is subject to change.
Retrieves detailed information about a specific optimization goal.
Request Syntax
GET /api/v1/agent-profiles/profileArn/goals/id HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- id
-
The unique identifier of the goal to retrieve.
Pattern:
[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}Required: Yes
- profileArn
-
The Amazon Resource Name (ARN) of the profile containing the goal.
Length Constraints: Minimum length of 0. Maximum length of 2048.
Pattern:
arn:aws([a-z0-9-]+)?:wellarchitected:[a-z0-9-]{6,64}:\d{12}:agent-profile/([a-zA-Z0-9_-]+)Required: Yes
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"goal": {
"createdAt": "string",
"createdBy": "string",
"description": "string",
"id": "string",
"lastModifiedAt": "string",
"lastModifiedBy": "string",
"pillars": [ "string" ],
"profileArn": "string",
"title": "string"
}
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- goal
-
The retrieved goal summary.
Type: GoalSummary object
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
User does not have sufficient access to perform this action.
- Message
-
Description of the error.
HTTP Status Code: 403
- InternalServerException
-
There is a problem with the AWS Well-Architected Tool API service.
- Message
-
Description of the error.
HTTP Status Code: 500
- ResourceNotFoundException
-
The requested resource was not found.
- Message
-
Description of the error.
- ResourceId
-
Identifier of the resource affected.
- ResourceType
-
Type of the resource affected.
HTTP Status Code: 404
- ThrottlingException
-
Request was denied due to request throttling.
- Message
-
Description of the error.
- QuotaCode
-
Service Quotas requirement to identify originating quota.
- ServiceCode
-
Service Quotas requirement to identify originating service.
HTTP Status Code: 429
- ValidationException
-
The user input is not valid.
- Fields
-
The fields that caused the error, if applicable.
- Message
-
Description of the error.
- Reason
-
The reason why the request failed validation.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: